class Request implements RequestInterface

Methods

__construct(string $path = '/', string $method = 'GET', string $body = '', array $headers = [], bool $pipeline = false, bool $usePipelineRead = false)

Create a new HTTP/2 request instance.

string
getPath()

Get the request path.

void
setPath(string $path)

Set the request path.

string
getMethod()

Get the request method.

void
setMethod(string $method)

Set the request method.

string
getBody()

Get the request body.

void
setBody(string $body)

Set the request body.

array
getHeaders()

Get the request headers.

void
setHeaders(array $headers)

Set the request headers.

bool
isPipeline()

Determine if this is a pipeline request.

void
setPipeline(bool $pipeline)

Set whether this is a pipeline request.

bool
usesPipelineRead()

Determine whether the response is read incrementally.

void
setUsePipelineRead(bool $usePipelineRead)

Set whether the response is read incrementally.

Details

at line 14
__construct(string $path = '/', string $method = 'GET', string $body = '', array $headers = [], bool $pipeline = false, bool $usePipelineRead = false)

Create a new HTTP/2 request instance.

Parameters

string $path
string $method
string $body
array $headers
bool $pipeline
bool $usePipelineRead

at line 27
string getPath()

Get the request path.

Return Value

string

at line 35
void setPath(string $path)

Set the request path.

Parameters

string $path

Return Value

void

at line 43
string getMethod()

Get the request method.

Return Value

string

at line 51
void setMethod(string $method)

Set the request method.

Parameters

string $method

Return Value

void

at line 59
string getBody()

Get the request body.

Return Value

string

at line 67
void setBody(string $body)

Set the request body.

Parameters

string $body

Return Value

void

at line 75
array getHeaders()

Get the request headers.

Return Value

array

at line 83
void setHeaders(array $headers)

Set the request headers.

Parameters

array $headers

Return Value

void

at line 91
bool isPipeline()

Determine if this is a pipeline request.

Return Value

bool

at line 99
void setPipeline(bool $pipeline)

Set whether this is a pipeline request.

Parameters

bool $pipeline

Return Value

void

at line 107
bool usesPipelineRead()

Determine whether the response is read incrementally.

Return Value

bool

at line 115
void setUsePipelineRead(bool $usePipelineRead)

Set whether the response is read incrementally.

Parameters

bool $usePipelineRead

Return Value

void